help:
	@grep '#' Makefile
serve:
	cp -r ~/docs/mk/* ./src/
	@docker container rm -f sitedoc-dev-serv-1 || true
	docker compose -f dev-srv.yml up -d 	

build:
	docker compose build

gitlab-push:
	docker compose build
	docker login registry.gitlab.com -u v.galves -p glpat-tsdzBXViFNVHDrWZxVLH
	docker compose push
	docker logout

github-push:
	docker compose build IMAGE=ghcr.io/v-galves/pipeline
	docker login ghcr.io -u v.galves -p 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
	docker compose push
	docker logout

deploy:
	docker compose up -d --build